Subject: Re: [PATCH 1/2] stmmac: fix pcs_lynx link failure

From: Simon Horman <[email-masked]>
Date: Wed, 7 Jun 2023 17:52:19 +0200

On Wed, Jun 07, 2023 at 03:12:00PM +0100, Russell King (Oracle) wrote:
> On Wed, Jun 07, 2023 at 03:56:32PM +0200, Arnd Bergmann wrote:
> > From: Arnd Bergmann <[email-masked]>
> > 
> > The mdio code in stmmac now directly links into both the lynx_pcs and
> > the xpcs device drivers, but the lynx_pcs dependency is only enforced
> > for the altera variant of stmmac, which is the one that actually uses it.
> > 
> > Building stmmac for a non-altera platform therefore causes a link
> > failure:
> > 
> > arm-linux-gnueabi-ld: drivers/net/ethernet/stmicro/stmmac/stmmac_mdio.o: in function `stmmac_mdio_unregister':
> > stmmac_mdio.c:(.text+0x1418): undefined reference to `lynx_pcs_destroy'
> > 
> > I've tried to come up with a patch that moves this dependency back into
> > the dwmac-socfpga.c file, but there was no easy and obvious way to
> > do this. It also seems that this would not be a proper solution, but
> > instead there should be a real abstraction for pcs drivers that lets
> > device drivers handle this transparently.
> 
> There is already a patch set on netdev fixing this properly.

Yes, let's focus on the solution proposed here:
https://lore.kernel.org/netdev/[email-masked]/T/#t

-- 
pw-bot: reject